# log_plays – write playbook output to log file

- Synopsis

- Requirements

- Parameters

- Status

## Synopsis

- This callback writes playbook output to a file per host in the /var/log/ansible/hosts directory

## Requirements

The below requirements are needed on the local master node that executes this callback.

- Whitelist in configuration

- A writeable /var/log/ansible/hosts directory by the user executing Ansible on the controller

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
log_folder - added in 2.9 | Default: "/var/log/ansible/hosts" | ini entries: [callback_log_plays] log_folder = /var/log/ansible/hosts env:ANSIBLE_LOG_FOLDER | The folder where log files will be created.

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.